package com.mcwl.system.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Pattern;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "新增工具请求对象")
public class AddToolRes {

    /**
     * 图片url
     */
    @ApiModelProperty(value = "图片url", required = true)
    @NotBlank(message = "图片url不能为空")
    private String imageUrl;

}
