package com.mcwl.system.domain;


import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mcwl.common.core.domain.BaseEntity;
import lombok.*;

/**
 * 工具
 *
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("sys_tool")
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class SysTool extends BaseEntity {

    /**
     * 邮箱id
     */
    @TableId
    private Long id;

    /**
     * 图片url
     */
    private String imageUrl;

    /**
     * 状态 0不可用 1可用
     */
    private Integer status;

}
